Package: grails.artefact.controller.support

## [Groovy] Trait ResponseRenderer

- grails.artefact.controller.support.ResponseRenderer

- A trait that adds behavior to allow rendering of objects to the response

  Authors:
    Jeff Brown
    Graeme Rocher
  Since:
    3.0

- - ### Methods Summary

    Methods
    Type Params | Return Type | Name and description
    --- | --- | ---
    `` | `void` | `render(java.lang.Object object)` Render the given object to the response
    `` | `void` | `render(groovy.lang.Closure closure)` Use the given closure to render markup to the response.
    `` | `void` | `render(java.util.Map argMap, groovy.lang.Closure closure)` Render the given closure, configured by the named argument map, to the response
    `` | `void` | `render(java.util.Map argMap, java.lang.CharSequence body)` Render the given CharSequence to the response with the give named arguments
    `` | `void` | `render(Converter<?> converter)` Render the given converter to the response
    `` | `void` | `render(java.lang.CharSequence txt)` Renders text to the response for the given CharSequence
    `` | `void` | `render(java.util.Map argMap, groovy.lang.Writable writable)` Render the given writable to the response using the named arguments to configure the response
    `` | `void` | `render(java.util.Map argMap)` Render a response for the given named arguments
    `` | `void` | `setActionResultTransformers(ActionResultTransformer[] actionResultTransformers)`
    `` | `void` | `setGroovyPageLayoutFinder(GroovyPageLayoutFinder groovyPageLayoutFinder)`
    `` | `void` | `setMimeUtility(MimeUtility mimeUtility)`

  - ### Inherited Methods Summary

    Inherited Methods
    Methods inherited from class | Name
    --- | ---
    `trait WebAttributes` | `currentRequestAttributes, getActionName, getControllerClass, getControllerName, getControllerNamespace, getFlash, getGrailsApplication, getGrailsAttributes, getParams, getPluginContextPath, getWebRequest`

- - ### Method Detail

    - #### void render(java.lang.Object object)

      Render the given object to the response

      Parameters:
        `object` - The object to render

    - #### void render(groovy.lang.Closure closure)

      Use the given closure to render markup to the response. The markup is assumed to be HTML. Use ResponseRenderer.render to change the content type.

      Parameters:
        `closure` - The markup to render

    - #### void render(java.util.Map argMap, groovy.lang.Closure closure)

      Render the given closure, configured by the named argument map, to the response

      Parameters:
        `argMap` - The name arguments
        `closure` - The closure to render

    - #### void render(java.util.Map argMap, java.lang.CharSequence body)

      Render the given CharSequence to the response with the give named arguments

      Parameters:
        `argMap` - The named arguments
        `body` - The text to render

    - #### void render(Converter<?> converter)

      Render the given converter to the response

      Parameters:
        `converter` - The converter to render

    - #### void render(java.lang.CharSequence txt)

      Renders text to the response for the given CharSequence

      Parameters:
        `txt` - The text to render

    - #### void render(java.util.Map argMap, groovy.lang.Writable writable)

      Render the given writable to the response using the named arguments to configure the response

      Parameters:
        `argMap` - The named arguments
        `writable` - The writable

    - #### void render(java.util.Map argMap)

      Render a response for the given named arguments

      Parameters:
        `argMap` - The named argument map

    - #### @org.springframework.beans.factory.annotation.Autowired(required = false) void setActionResultTransformers(ActionResultTransformer[] actionResultTransformers)

    - #### @org.springframework.beans.factory.annotation.Autowired(required = false) void setGroovyPageLayoutFinder(GroovyPageLayoutFinder groovyPageLayoutFinder)

    - #### @org.springframework.beans.factory.annotation.Autowired(required = false) void setMimeUtility(MimeUtility mimeUtility)